chips <- read.table("gjChipLocator.txt",header=T)
chips <- data.frame(chips,row.names=1)
myrgb <- read.table("gjRGB.txt",header=T)


farben <- rgb(myrgb[,5:7],maxColorValue=255)

letters <- c("A","B","C","D","E","F","G","H","I","J")

munsellChart <- function(c) {
  plot.new()
  rect(chips[,2]/42,chips[,3]/10,(chips[,2]+1)/42,
       (chips[,3]+1)/10,col=c)
}

munsellChartWithCoor <- function(c) {
  plot.new()
  sapply(1:10,function(x) text(1.5/42,(x-.5)/10,labels=letters[11-x]))
  sapply(1:40,function(x) text((1.5+x)/42,.95,x))
  rect(chips[,2]/42,chips[,3]/10,(chips[,2]+1)/42,
       (chips[,3]+1)/10,col=c)
}



displayExtension <- function(ext) {
  displayV <- farben
  displayV[!ext] <- 0
  munsellChart(displayV)
}

doubleChart <- function(c1,c2) {
  plot.new()
  rect(chips[,2]/42,.6+chips[,3]/25,(chips[,2]+1)/42,
       .6+(chips[,3]+1)/25,col=c1)
  rect(chips[,2]/42,(chips[,3]/25),(chips[,2]+1)/42,
       (chips[,3]+1)/25,col=c2)
}

displayDensity <- function(v) {
  v1 <- v-min(v)
  v1 <- v1/max(v1)
  munsellChart(grey(1-v1))
}


doubleDisplayDensity <- function(v1,v2) {
  v.a <- v1-min(v1)
  v.a <- v.a/max(v.a)
  v.b <- v2-min(v2)
  v.b <- v.b/max(v.b)
  doubleChart(grey(1-v.a),grey(1-v.b))
}


doubleDisplayExtension <- function(ext1,ext2) {
  displayV1 <- farben
  displayV1[!ext1] <- 0
  displayV2 <- farben
  displayV2[!ext2] <- 0
  doubleChart(displayV1,displayV2)
}
